#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0x0E,0x73,0x99,0xE8,0x97,0x15,0xB1,0xD1,0x63,0x19,0x88,
		0x43,0x5F,0x51,0x8D,0xA6,0x33,0x5D,0x32,0x79,0x27,0x93,0x44,
		0x80,0x67,0x31,0xFD,0x30,0x23,0xB8,0x5E,0x3E,0xE6,0xE2,0x3B,
		0x7E,0x4C,0x26,0x73,0xE0,0x22,0xE5,0x4C,0x7F,0x5A,0x82,0xB8,
		0x26,0x6B,0xDF,0x02,0x3B,0xFA,0x76,0x50,0xC3,0x95,0x2C,0x51,
		0x5F,0x70,0x63,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
